"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_root_siblings_1 = __importDefault(require("react-native-root-siblings"));
const react_native_1 = require("react-native");
const Icons_1 = __importDefault(require("../Icons"));
const style_1 = __importDefault(require("./style"));
let rootLoading = undefined;
const LoadingView = () => {
    const fadeAnim = (0, react_1.useRef)(new react_native_1.Animated.Value(0)).current;
    const startAnimate = () => {
        const animationSlider = react_native_1.Animated.sequence([
            react_native_1.Animated.timing(fadeAnim, {
                toValue: 200,
                duration: 30000,
                useNativeDriver: true,
                easing: react_native_1.Easing.bezier(0, 0, 1, 1),
            }),
        ]);
        react_native_1.Animated.loop(animationSlider).start();
    };
    startAnimate();
    const renderView = () => {
        return (react_1.default.createElement(react_native_1.View, { style: style_1.default.container },
            react_1.default.createElement(react_native_1.View, { style: style_1.default.warp },
                react_1.default.createElement(react_native_1.Animated.View, { style: [
                        style_1.default.animate,
                        { transform: [{ rotate: fadeAnim }] }
                    ] },
                    react_1.default.createElement(Icons_1.default, { name: 'loading', color: '#333', size: 40 })))));
    };
    return renderView();
};
const Loading = {
    show: () => {
        rootLoading === null || rootLoading === void 0 ? void 0 : rootLoading.destroy();
        rootLoading = undefined;
        rootLoading = new react_native_root_siblings_1.default(react_1.default.createElement(LoadingView, null));
    },
    hide: () => {
        rootLoading === null || rootLoading === void 0 ? void 0 : rootLoading.destroy();
        rootLoading = undefined;
    }
};
exports.default = Loading;
