"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const bottom_tabs_1 = require("@react-navigation/bottom-tabs");
const native_stack_1 = require("@react-navigation/native-stack");
const NavigatorBar_1 = __importDefault(require("../NavigatorBar"));
const react_redux_1 = require("react-redux");
const react_native_1 = require("react-native");
const Tab = (0, bottom_tabs_1.createBottomTabNavigator)();
const Stack = (0, native_stack_1.createNativeStackNavigator)();
;
const TabsNavigation = ({ tabs = [], }) => {
    const { styleSafe } = (0, react_redux_1.useSelector)((state) => state.common);
    return (react_1.default.createElement(react_native_1.SafeAreaView, { style: Object.assign({}, styleSafe) },
        react_1.default.createElement(Tab.Navigator, { screenOptions: {
                headerShown: false,
                tabBarHideOnKeyboard: true,
            }, tabBar: (props) => react_1.default.createElement(NavigatorBar_1.default, Object.assign({}, props)) }, tabs.map((v, k) => {
            if (!v.tab)
                return null;
            return (react_1.default.createElement(Tab.Screen, { key: `itabs_${k}`, name: v.name, component: v.component, options: Object.assign({}, v) }));
        }))));
};
;
const Route = ({ routes = [], }) => {
    const { start } = (0, react_redux_1.useSelector)((state) => state.common);
    console.log('start', start);
    return (react_1.default.createElement(Stack.Navigator, { initialRouteName: start || 'Index', screenOptions: {
            headerShown: false
        } },
        react_1.default.createElement(Stack.Screen, { name: 'Index' }, () => react_1.default.createElement(TabsNavigation, { tabs: routes })), routes === null || routes === void 0 ? void 0 :
        routes.map((v, k) => {
            if (v.tab)
                return null;
            console.log('routes_name', v.name);
            return (react_1.default.createElement(Stack.Screen, { key: `menu_${k}`, name: v.name, component: v.component }));
        })));
};
exports.default = Route;
